classification
Title: [PATCH] Add set operations (and, or, xor, subtract) to dict views
Type: Stage:
Components: Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: keir
Priority: normal Keywords: patch

Created on 2007-08-24 23:23 by keir, last changed 2007-09-02 20:04 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
dictview_set_operations.diff keir, 2007-08-24 23:36
dictview_tests.diff keir, 2007-08-24 23:46
Messages (1)
msg55280 - (view) Author: Keir Mierle (keir) Date: 2007-08-24 23:23
This patch adds set operations & | ^ - to dict views ({}.keys(),
{}.items()). A set is returned.
History
Date User Action Args
2007-09-02 20:04:52loewissetkeywords: + patch
2007-08-25 00:14:24gvanrossumsetstatus: open -> closed
assignee: gvanrossum
resolution: accepted
2007-08-24 23:46:56keirsetfiles: + dictview_tests.diff
2007-08-24 23:38:03gvanrossumsetfiles: - dictview_set_operations.diff
2007-08-24 23:36:23keirsetfiles: + dictview_set_operations.diff
2007-08-24 23:23:25keircreate